com.holonplatform.vaadin.flow.navigator

## Interface NavigationLink.Builder

- All Superinterfaces:
    ComponentConfigurator<NavigationLink.Builder>, DeferrableLocalizationConfigurator<NavigationLink.Builder>, HasDeferrableLocalization, HasElementConfigurator<NavigationLink.Builder>, HasStyleConfigurator<NavigationLink.Builder>, HasTextConfigurator<NavigationLink.Builder>, NavigationURLBuilder<NavigationLink.Builder>, Serializable
  Enclosing interface:
    NavigationLink

      public static interface NavigationLink.Builder
      extends ComponentConfigurator<NavigationLink.Builder>, HasTextConfigurator<NavigationLink.Builder>, HasStyleConfigurator<NavigationLink.Builder>, NavigationURLBuilder<NavigationLink.Builder>, DeferrableLocalizationConfigurator<NavigationLink.Builder>

  `NavigationLink` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NavigationLink` | `build()` Build the `NavigationLink`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.navigator.NavigationURLBuilder

      `encodeQueryParameters, withPathParameter, withQueryParameter, withQueryParameter`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### build

          NavigationLink build()

      Build the `NavigationLink`.
      Returns:
        A new `NavigationLink` instance

Copyright © 2019 The Holon Platform. All rights reserved.